#include <idc.idc>

static main() {
/*
// Convert the current item to an explored item
//      ea     - linear address
//      size   - size of the range to undefine (for MakeUnknown)
//      flags  - combination of DOUNK_... constants

void    MakeUnkn        (long ea, long flags);
void    MakeUnknown     (long ea, long size, long flags);

#define DOUNK_SIMPLE    0x0000  // simply undefine the specified item
#define DOUNK_EXPAND    0x0001  // propogate undefined items, for example
                                // if removing an instruction removes all
                                // references to the next instruction, then
                                // plan to convert to unexplored the next
                                // instruction too.
#define DOUNK_DELNAMES  0x0002  // delete any names at the specified
                                // address(es) 
*/
// #define MakeDword(ea)               MakeData(ea, FF_DWRD, 4, BADADDR) 
/*
// Get start address of the selected area
// returns BADADDR - the user has not selected an area

long    SelStart();                     // the selected area start ea
                                        // BADADDR - no selected area

// Get end address of the selected area
// returns BADADDR - the user has not selected an area

long    SelEnd();                     // the selected area end ea
                                      // BADADDR - no selected area
*/

  auto i, StartEA, FinishEA, Elems, Size;
	
	StartEA = SelStart();
	FinishEA = SelEnd();
	Size = FinishEA - StartEA;
	Elems = Size/4;
	
	MakeUnknown(StartEA, Size, DOUNK_SIMPLE);

  for(i = 0; i < Elems; i++) {
		MakeDword(StartEA + 4*i);
  }
	
  Message("All done!\n");
}
