#include <idc.idc>

static main() {
	auto TxtFile, pFile, EA, EndEA, OldName, NewName, Pos, OldNameLen;

	EA = MinEA();
	
  TxtFile = AskFile(1, "*.txt", "Choose a txt file for output...");
  pFile = fopen(TxtFile, "w");
	
  if(!pFile) {
		Message("Can't create file '%s'\n", TxtFile);
		return;
	}
	
	Message("MinEA() = 0x%8X\n", EA);
	fprintf(pFile, "MinEA() = 0x%8X\n", EA);
	
	while(EA != BADADDR) {
		OldName = Name(EA);

		if(OldName == "") {
			EA = NextAddr(EA);
			continue;
		}
	
		//***   

		//***   
		if(substr(OldName, 0, 6) == "__imp_") {
			NewName = "_imp_" + substr(OldName, 6, -1);
	
			MakeName(EA, NewName);
				
			Message("0x%8X : %s => %s\n", EA, OldName, NewName);
			fprintf(pFile, "0x%8X : %s => %s\n", EA, OldName, NewName);
				
			EA = NextAddr(EA);
			continue;
		}

		//***     
		if(SegName(EA) == ".idata") {
			EA = NextAddr(EA);
			continue;
		}

		//***  ,    ,      .idata
		if(substr(OldName, 0, 5) == "_imp_") {
			EA = NextAddr(EA);
			continue;
		}		
		
		OldNameLen = strlen(OldName);
		Pos = strstr(substr(OldName, OldNameLen - 4, -1), "@");
		
		//***   
		if(Pos > 0) {
			if(substr(OldName, 0, 1) == "_") {
				NewName = substr(OldName, 1, OldNameLen - 4 + Pos);
		
				MakeName(EA, NewName);
				
				Message("0x%8X : %s => %s\n", EA, OldName, NewName);
				fprintf(pFile, "0x%8X : %s => %s\n", EA, OldName, NewName);

				EA = NextAddr(EA);
				continue;
			}
		}

		//***   
		
		//***   
		
		Pos = strstr(OldName, "_");
		
		if((Pos > -1) && (Pos < 9)) {
			EA = NextAddr(EA);
			continue;
		}
		
		if(substr(OldName, 0, 1) == "?") {
			EA = NextAddr(EA);
			continue;
		}
		
		if(substr(OldName, 0, 1) == "@") {
			EA = NextAddr(EA);
			continue;
		}
		
		//***    ()  
		
		if(OldName == GetFunctionName(EA)) {
			Message("0x%8X : Must be old function '%s'! \n", EA, OldName);
			fprintf(pFile, "0x%8X : Must be old function '%s'! \n", EA, OldName);
			
			EA = NextAddr(EA);
			continue;
		}
		
		//***    
		
		if(substr(OldName, 0, 2) == "g_") {
			EA = NextAddr(EA);
			continue;
		}
		
		//***   
		
		NewName = "g_" + OldName;
		
		MakeName(EA, NewName);
		
		Message("0x%8X : %s => %s\n", EA, OldName, NewName);
		fprintf(pFile, "0x%8X : %s => %s\n", EA, OldName, NewName);

		EA = NextAddr(EA);
	}  // while(EA != BADADDR)
		
	fclose(pFile); 

	Message("All done!\n");
	fprintf(pFile, "All done!\n");
}
