#include <idc.idc>

static main() { 
auto EA, FrameId, LastOffs, Offs, VarName, OldVarName, TxtFile, pFile, FuncName, NewName;  //, DeltaOffs;

  TxtFile = AskFile(1, "*.txt", "Choose a txt file for output...");
  pFile = fopen(TxtFile, "w");
	
  if(!pFile) {
		Message("Can't create file '%s'\n", TxtFile);
		return;
	}
	
	for(EA = NextFunction(0); EA != BADADDR; EA = NextFunction(EA)) {
		FuncName = GetFunctionName(EA);

		Message("0x%08X: Function = '%s'\n", EA, FuncName);
		fprintf(pFile, "0x%08X: Function = '%s'\n", EA, FuncName);
		
		FrameId = GetFrame(EA);
		LastOffs = GetLastMember(FrameId);
		
		OldVarName = "";
		
		for(Offs = GetFirstMember(FrameId); Offs <= LastOffs; Offs = Offs + 4) {
			VarName = GetMemberName(FrameId, Offs);
			
			if(VarName == OldVarName)
					continue;
					
			OldVarName = VarName;
			
			if(VarName == "" || VarName == " r" || VarName == " s")
					continue;
					
			//***        
			if(strstr(VarName, "_") > 0)
					continue;
		
			//***   
			NewName = "l_" + VarName;
		
			//***    
			SetMemberName(FrameId, Offs, NewName);
				
			//Message("  VarName = '%s'\n", VarName); 
			fprintf(pFile, "  VarName = '%s' => '%s', MemberSize = %d\n", VarName, NewName, GetMemberSize(FrameId, Offs));
		}
	}
}
