******************************************************************************
* lst2def.prg
******************************************************************************
CLEAR
SET TALK OFF
SET SAFETY OFF
SET TEXTMERGE ON

filename = "comctl32"

infile = filename + ".lst"
outfile = filename + ".txt"
dbffile = "temp.dbf"
dbffile2 = filename + ".dbf"
deffile = filename + ".def"

Line1 = " ; Exported entry"
Len1 = LEN(Line1)
Line2 = "                 public"
Len2 = LEN(Line2)

MaxFuncNameLen = 125  &&     
OrdinalOffset = 75  &&    

ToExportOrdinals = .T.

crlf = CHR(13) + CHR(10)  &&   
tabulator  = CHR(9)
* tabulator2 = tabulator + tabulator
tabulator2 = "  "

file1 = FOPEN(infile)

IF file1 < 0
  WAIT '   : ' + infile
  QUIT
ENDIF

file2 = FCREATE(outfile)

IF file2 < 0
  WAIT '   : ' + outfile
  QUIT 
ENDIF 

End1 = FSEEK(file1, 0, 2)	&&   
Top1 = FSEEK(file1, 0)	&&   .    

IF End1 <= 0  &&   
   MESSAGEBOX(' : ' + infile)
   QUIT 
ENDIF

pos = 0
IsLine1 = .F.

KolStr = 50  &&           public (.. >= 6)
DIMENSION aSnum[KolStr]  &&   
DIMENSION aFunc[KolStr]  &&   

&&  
FOR i = 1 TO KolStr
	aSnum[i] = ""
	aFunc[i] = ""
ENDFOR

DO WHILE NOT EOF(file1)	&&         
	strline = FGETS(file1)
	
	Curpos1 = FSEEK(file1, 0, 1)
	
	IF Curpos1 >=	End1	&&   
		EXIT 
	ENDIF
	
	pos = AT(Line1, strline)  &&   
	
	IF pos > 0  &&    Line1
		IsLine1 = .T.
	ELSE 
		LOOP
	ENDIF 
	
	&&   Line1 !      .
	&& ..      .
	
	strline = SUBSTR(strline, pos + Len1 + 1)  &&   ( /  )
	
	pos = AT(".", strline)  &&    
	
	IF pos > 0  &&   
		aSnum[1] = RIGHT("     " + LTRIM(LEFT(strline, pos - 1)), 5) + " "
		aFunc[1] = LEFT(SUBSTR(strline, pos + 2) + REPLICATE(" ", MaxFuncNameLen), MaxFuncNameLen)
	ELSE 
		MESSAGEBOX("    !")
		QUIT
	ENDIF 
					
	KolLine1 = 1  &&     Line1   
	
	&&    KolStr - 1     Line1
	FOR i = 2 TO KolStr
		strline = FGETS(file1)		

		pos = AT(Line1, strline)  &&    
		
		IF pos > 0  &&      Line1
			KolLine1 = i
	
			strline = SUBSTR(strline, pos + Len1 + 1)  &&   ( /  )
			
			pos = AT(".", strline)  &&    
			
			IF pos > 0  &&   
				aSnum[i] = RIGHT("     " + LTRIM(LEFT(strline, pos - 1)), 5) + " "
				aFunc[i] = LEFT(SUBSTR(strline, pos + 2) + REPLICATE(" ", MaxFuncNameLen), MaxFuncNameLen)
			ELSE 
				MESSAGEBOX("    !")
				QUIT
			ENDIF 
		ELSE  &&     Line1
			EXIT
		ENDIF 
	ENDFOR
		
	&&    Line2,       Line1
	
	IsLine2 = .F.

	&&    KolStr      Line2
	FOR i = 1 TO KolStr
		pos = AT(Line2, strline)  &&    Line2
		
		IF pos > 0  &&    Line2
			IsLine2 = .T.
			EXIT 
		ENDIF

		strline = FGETS(file1)
	ENDFOR

	IF NOT IsLine2
		MESSAGEBOX("    !")
		QUIT
	ENDIF 
	
	&&   Line2 !

	FuncName = TRIM(SUBSTR(strline, pos + Len2 + 1))  &&     
	FuncName = LEFT(FuncName + REPLICATE(" ", MaxFuncNameLen), MaxFuncNameLen)
					
	i1 = 0
	OrdList = ""
	
	&&  KolLine1  Line1    Line2
	FOR i = 1 TO KolLine1
		IF NOT EMPTY(aFunc[i])
			FWRITE(file2, FuncName + aSnum[i] + aFunc[i] + crlf)
		ELSE
			i1 = IIF(EMPTY(i1), i, i1)
			OrdList = OrdList + ALLTRIM(aSnum[i]) + ", "
		ENDIF
	ENDFOR
	
	&&       
	IF NOT EMPTY(OrdList)
		FWRITE(file2, FuncName + aSnum[i1] + aFunc[i1] + LEFT(OrdList, LEN(OrdList) - 2) + crlf)
	ENDIF
ENDDO

IF NOT IsLine1
	MESSAGEBOX("   !")
	QUIT
ENDIF 

CLOSE ALL

&& Dbf    
CREATE TABLE (dbffile) (FuncName c((MaxFuncNameLen)), Ord n(6,0), Comments c((MaxFuncNameLen)), OrdList c(254))
APPEND FROM (outfile) TYPE SDF

CLOSE ALL

&&  dbf   
SELECT * FROM (dbffile) ORDER BY Ord INTO TABLE (dbffile2)

SELECT (dbffile2)

SET TEXTMERGE TO (deffile)

\\LIBRARY "<<filename + '.dll'>>"
\EXPORTS

ExpLine = ""
ExpLine2 = ""
FuncLine = ""

&&  def 
FOR i = 1 TO RECCOUNT()
	GO i
	SCATTER MEMVAR

	IF NOT EMPTY(m.Comments) AND TRIM(m.FuncName) <> TRIM(m.Comments)
		\<<TRIM(m.Comments)>>  <<IIF(ToExportOrdinals, "@" + LTRIM(STR(m.ord)), "")>>
*		FuncLine = TRIM(m.FuncName) + " = " + TRIM(m.Comments) + IIF(ToExportOrdinals, "  @" + LTRIM(STR(m.ord)), "")
		FuncLine = TRIM(m.FuncName) + IIF(ToExportOrdinals, "  @" + LTRIM(STR(m.ord)), "")
	ELSE
		IF ToExportOrdinals
			OrdList2 = ALLTRIM(m.OrdList)
			OrdList2 = IIF(EMPTY(OrdList2), "@" + LTRIM(STR(m.ord)), LTRIM(STR(m.ord)) + ", " + OrdList2)  &&   
			
			pos = AT(", ", OrdList2)  &&      
			
			IF pos > 0  &&      
				OrdList1 = "@" + LEFT(OrdList2, pos - 1)
				OrdList3 = SUBSTR(OrdList2, pos + 2)
				FuncLine = TRIM(m.FuncName)	+ tabulator2 + OrdList1 + IIF(EMPTY(OrdList3), "", "  ; @") + OrdList3
			ELSE
				FuncLine = TRIM(m.FuncName)	+ tabulator2 + IIF(EMPTY(OrdList), "", "@") + OrdList2
			ENDIF
		ELSE  && NOT ToExportOrdinals
			FuncLine = TRIM(m.FuncName)	+ tabulator2 + IIF(EMPTY(OrdList), "", "; @") + ALLTRIM(OrdList)		
		ENDIF
	ENDIF

	FuncLineLen = LEN(TRIM(FuncLine))
	
	IF FuncLineLen < OrdinalOffset
		ExpLine = LEFT(TRIM(FuncLine) + REPLICATE(" ", OrdinalOffset), OrdinalOffset)
	ELSE
		ExpLine = LEFT(TRIM(FuncLine) + REPLICATE(" ", FuncLineLen + 1), FuncLineLen + 1)
	ENDIF
	
	\<<TRIM(FuncLine)>>
ENDFOR

CLOSE ALL
QUIT 
******************************************************************************
******************************************************************************
