******************************************************************************
CLEAR
SET TALK OFF
SET SAFETY OFF
SET DATE german
SET CENTURY ON

outname = "explorer"

SET TEXTMERGE ON 
SET TEXTMERGE TO (outname + "~.lst")

* .text:01001988

IF NOT FILE("lst.dbf")
	CREATE TABLE lst.dbf (txt c(6), addr c(8), line1 c(254), line2 c(254))

	SELECT lst
	APPEND FROM (outname + ".lst") TYPE SDF
ENDIF 

IF NOT FILE("idxlst.dbf")
	CLOSE DATABASES

	COPY FILE lst.dbf TO idxlst.dbf
ENDIF 

SELECT 0

IF FILE("idxlst.cdx")
	USE idxlst INDEX idxlst
ELSE
	USE idxlst
	INDEX ON addr TAG iaddr
ENDIF 

SET ORDER TO iaddr

SELECT 0
USE lst

MAXCHUNKLINE = 1000  &&     

MAXCHUNK = 250  &&     
DIMENSION ChunkAddr[MAXCHUNK]

&&     
FOR i = 1 TO MAXCHUNK 
	ChunkAddr[i] = ""
ENDFOR

j = 0
FuncName1 = ""
FuncName2 = ""

ChunkText = "; FUNCTION CHUNK AT .text:"
ChunkTextLen = LEN(ChunkText)

ChunkLine = "; ---------------------------------------------------------------------------"
ChunkStart = "; START OF FUNCTION CHUNK FOR"
ChunkStartLen = LEN(ChunkStart)
ChunkEnd = "; END OF FUNCTION CHUNK FOR"
ChunkEndLen = LEN(ChunkEnd)

IsChunk = .F.
 
FOR i = 1 TO RECCOUNT()
	GO i
	SCATTER MEMVAR

*!*		&&     line2?
*!*		IF NOT EMPTY(m.line2)
*!*			\i = <<i>> : '<<TRIM(m.line2)>>'
*!*		ENDIF
*!*		LOOP

*	pos = AT("proc near", m.line1)  &&   
	pos = AT(" proc ", m.line1)  &&   
	
	IF pos > 0
*		FuncName1 = LTRIM(LEFT(m.line1, pos - 2))
		FuncName1 = LTRIM(LEFT(m.line1, pos - 1))
		
*		\i = <<i>> : FuncName1 = '<<FuncName1>>'
		
		FuncName2 = ""
	ENDIF

	pos = AT("endp", m.line1)  &&   
	
	IF pos > 0
		FuncName2 = LTRIM(LEFT(m.line1, pos - 2))
		
*		\i = <<i>> : FuncName2 = '<<FuncName2>>'

		FuncName1 = ""
	ENDIF

	if(EMPTY(FuncName1) AND EMPTY(FuncName2))  &&     
		IF LEFT(LTRIM(m.line1), ChunkStartLen) == ChunkStart
			IsChunk = .T.
			LOOP 
		ENDIF
		
		IF LEFT(LTRIM(m.line1), ChunkEndLen) == ChunkEnd
			IsChunk = .F.
			LOOP
		ENDIF
		
		IF IsChunk
			LOOP 
		ENDIF 
	
		IF ALLTRIM(m.line1) <> ChunkLine
			\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
		ENDIF
	ENDIF
	
*!*	.text:01001991 ; =============== S U B R O U T I N E =======================================
*!*	.text:01001991
*!*	.text:01001991 ; Attributes: bp-based frame
*!*	.text:01001991
*!*	.text:01001991 ; protected: void __thiscall CTray::_MessageLoop(void)
*!*	.text:01001991 ?_MessageLoop@CTray@@IAEXXZ proc near   ; CODE XREF: CTray::MainThreadProc(void *)+24p
*!*	.text:01001991
*!*	.text:01001991 l_Msg           = s_tagMSG ptr -1Ch
*!*	.text:01001991
*!*	.text:01001991 ; FUNCTION CHUNK AT .text:01001A5F SIZE 0000007D BYTES
*!*	.text:01001991 ; FUNCTION CHUNK AT .text:01021E8C SIZE 00000024 BYTES
*!*	.text:01001991 ; FUNCTION CHUNK AT .text:010221C5 SIZE 0000002A BYTES
*!*	.text:01001991 ; FUNCTION CHUNK AT .text:01025521 SIZE 00000032 BYTES
*!*	.text:01001991
*!*	.text:01001991                 mov     edi, edi
*!*	.text:01001993                 push    ebp
*!*	.text:01001994                 mov     ebp, esp
*!*	.text:01001996                 sub     esp, 1Ch
*!*	.text:01001999                 push    ebx
*!*	.text:0100199A                 mov     ebx, ds:_imp__SendMessageW@16 ; imp__SendMessageW(x,x,x,x)

	IF NOT EMPTY(FuncName1) AND EMPTY(FuncName2)  &&     
		&&  
		pos = AT(ChunkText, m.line1)  &&  
		
		IF pos > 0
			j = j + 1
			
			IF j > MAXCHUNK  &&   
				\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
				\j > MAXCHUNK = <<MAXCHUNK>>

				MESSAGEBOX("MAXCHUNK overflow!")
				EXIT 
			ENDIF
			
			ChunkAddr[j] = SUBSTR(m.line1, pos + ChunkTextLen, 8)
			
*			\i = <<i>> : ChunkAddr = '<<ChunkAddr>>'
		ENDIF

		\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
	ENDIF
	
	IF EMPTY(FuncName1) AND NOT EMPTY(FuncName2)  &&      
		&&   

		SELECT idxlst

		DO ChunksWrite
		
		SELECT lst

		GO i
		SCATTER MEMVAR
		
		\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>

		j = 0
		FuncName1 = ""
		FuncName2 = ""
	ENDIF
	
	IF NOT EMPTY(FuncName1) AND NOT EMPTY(FuncName2)  &&    
		\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
		\i = <<i>> : FuncName1 = '<<FuncName1>>'; FuncName2 = '<<FuncName2>>'

		MESSAGEBOX("Function error!")
		EXIT 
	ENDIF
ENDFOR 

CLOSE ALL
QUIT
******************************************************************************
******************************************************************************
PROCEDURE ChunksWrite
	FOR k = 1 TO j
		SEEK ChunkAddr[k]

*!*	.text:01001A5F ; ---------------------------------------------------------------------------
*!*	.text:01001A5F ; START OF FUNCTION CHUNK FOR ?_MessageLoop@CTray@@IAEXXZ
*!*	.text:01001A5F
*!*	.text:01001A5F loc_1001A5F:                            ; CODE XREF: CTray::_MessageLoop(void)+26j
*!*	.text:01001A5F                 cmp     [ebp+l_Msg.f_message], 12h
*!*	.text:01001A63                 jz      loc_1025532
*!*	.text:01001A69                 lea     eax, [esi+4C0h]
*!*	...
*!*	.text:01001ACD                 lea     eax, [ebp+l_Msg]
*!*	.text:01001AD0                 push    eax             ; lpMsg
*!*	.text:01001AD1                 call    ds:_imp__DispatchMessageW@4 ; imp__DispatchMessageW(x)
*!*	.text:01001AD7                 jmp     loc_10019A6
*!*	.text:01001AD7 ; END OF FUNCTION CHUNK FOR ?_MessageLoop@CTray@@IAEXXZ
*!*	.text:01001AD7 ; ---------------------------------------------------------------------------
						
		IF FOUND()
			RNo = RECNO()
						
			SCATTER MEMVAR
			
*			IF ALLTRIM(m.line1) <> ChunkLine
			\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
*			ENDIF

			l = 0
			
			DO WHILE .T.
				l = l + 1
				RNo = RNo + 1
				
				GO RNo			
				SCATTER MEMVAR
			
*				IF ALLTRIM(m.line1) <> ChunkLine
				\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
*				ENDIF
			
				IF LEFT(LTRIM(m.line1), ChunkEndLen) == ChunkEnd OR l > MAXCHUNKLINE
					EXIT
				ENDIF
			ENDDO
			
			IF l > MAXCHUNKLINE
				\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
				\l > MAXCHUNKLINE = <<MAXCHUNKLINE>>

				MESSAGEBOX("MAXCHUNKLINE overflow!")

				CLOSE ALL
				QUIT
			ENDIF
			
			\<<m.txt>><<m.addr>> <<ChunkLine>>
		ELSE  && NOT FOUND()
			\<<m.txt>><<m.addr>><<TRIM(m.line1 + m.line2)>>
			\Not found ChunkAddr[<<k>>] = <<ChunkAddr[k]>>

			MESSAGEBOX("Not found ChunkAddr!")

			CLOSE ALL
			QUIT
		ENDIF
	ENDFOR 
ENDPROC
******************************************************************************
******************************************************************************
